# Forms

## Overview

This node contains all forms and working sets created for the active solution.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                             | Summary                                                                                    |
| ----------------------------------- | ------------------------------------------------------------------------------------------ |
| [Create new form](#create-new-form) | Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) |
| [Add working set](#create-new-form) | Adds a new working set                                                                     |
| [Publish](#publish)                 | Publish solution Git repository to Servoy Cloud                                            |

## Commands Details

The details for each command available on this item via right-click context menu:

### Create new form

Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md).

### Add working set

Adds a new working set. A working set is like a folder for forms, for grouping forms in Solution Explorer. It has no impact for Client.

### Publish

Publish solution Git repository to Servoy Cloud. The local git repository must be in sync with remote repository (no changes).

## Contextual List

Here are the item details that appear in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) and each command available via right-click:

* property:
  * [Create new form](#create-new-form)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
